// Copyright (C) [2009] [Robin und Detlef Wolf]
// This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
// This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>.


import javax.swing.JEditorPane;
import javax.swing.JFrame;

@SuppressWarnings("serial")
public class VRHelp extends JFrame {
	
  public VRHelp() {
    setDefaultCloseOperation(DISPOSE_ON_CLOSE) ;
    setTitle("Vektorrennen Hilfe") ;
    JEditorPane jep = new JEditorPane() ;
    jep.setContentType("text/html") ;
    jep.setText(
    		  "<h1>Hilfe zu Vektorrennen</h1>"
    		+ "Falls du das Vektorrennen Spiel auf Rechenkstchenpapier kennst, "
    		+ "brauchst du diese Anleitung wahrscheinlich nicht. "
    		+ "<h2>Prinzip</h2>"
    		+ "Ein Auto (Vektor) hat eine Geschwindigkeit und eine Richtung. "
    		+ "Bei jeden Zug kann der Vektor gendert werden (eins lnger oder krzer, eins mehr links oder mehr rechts). "
    		+ "Jeder Spieler steuert einen Vektor durch einen Rundkurs. Es gilt, geschickt zu beschleunigen und rechtzeitig zu bremsen! Gewonnen hat wer zuerst die Ziellinie wieder berquert. "
    		+ "<h2>Regeln</h2>"
    		+ "Wir haben bewusst fast keine Regeln eingebaut. Wir wnschen euch "
    		+ "viel Spa dabei, eigene Regeln zu erfinden. Hier einige Vorschlge fr Regeln:"
    		+ "<ul>"
    		+ "<li>Abwechselnd (2 Spieler) oder reihum (3 Spieler) ziehen, gem der angezeigten Farbe."
    		+ "<li>Halte dich an die vorgegebenen neun erlaubten Punkte fr den Zug."
    		+ "<li>Gegen die Wand fahren ist nicht erlaubt. Wenn es doch passiert, gibt das einen Strafpunkt."
    		+ "<li>Auf ein anderes Auto auffahren ist nicht erlaubt. Wenn es doch passiert, gibt auch das einen Strafpunkt."
    		+ "<li>Beim Zieleinlauf zhle, wieviele Zge Abstand zwischen den Wagen ist. Zhle eventuell vorhandene Strafpunkte hinzu."
    		+ "</ul> "
    		+ " "
    		+ "<h2>Strecke bauen</h2>"
    		+ "Du kannst eine der mitgelieferten Strecken verwenden oder auch eigene Strecken anlegen, speichern und laden. "
        + "Bitte benutze dazu die Funktionen unter dem Menpunkt \"Strecke\". "
        + "Einmal gesetzte Punkte knnen mit einen Texteditor wieder entfernt werden. "
        + "Strecke laden und speichern sind nur mglich bei lokaler Installation. Beim Starten vom Internet sind Laden und Speichern aus Sicherheitsgrnden deaktiviert."
        ) ;
    add(jep) ;
    pack() ;
  }

  public void exit() { 
    setVisible(false); // hide the Frame 
    dispose(); // tell windowing system to free resources 
  } 
  
}
