// Copyright (C) [2009] [Robin und Detlef Wolf]
// This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
// This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>.

import java.net.URL;

public class WavPlayer {
	java.applet.AudioClip sound = null ;
	 
	private URL getURL(String name) {
		URL u ;
		u = VRModel.class.getResource(name); // read from .jar file
		if (u == null) {
			try {
				u = new URL("file:" + name) ;
			}
			catch ( java.net.MalformedURLException e) {
		    System.out.println("cannot find " + name) ;
			}
		}
		return u ;
	}
	 
	public WavPlayer(String name) {
		sound = java.applet.Applet.newAudioClip(getURL(name)) ; 
	}

	public void play() {
		if (sound != null)
			sound.play() ;
	}
}
