import java.awt.Color;
import java.awt.Point;
import java.util.ArrayList;

public class Player {
  public ArrayList<Vektor> path = new ArrayList<Vektor>();
  public ArrayList<Point> possiblePoints = new ArrayList<Point>() ;
  public ArrayList<PointFloat> crashPoints = new ArrayList<PointFloat>() ;
//Copyright (C) [2009] [Robin und Detlef Wolf]
//This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
//This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>.

public Car car ;
  
  public Player(Car car) {
  	this.car = car ;
  }

  public Color getColor() {
  	return car.getColor() ;
  }
  
  public void add(Vektor v) {
  	path.add(v) ;
  	Point center = new Point(v.x+v.dx*2, v.y+v.dy*2);
  	possiblePoints.clear();
  	for (int i=-1; i<=1; ++i) 
  		for (int j=-1; j<=1; ++j) {
  			possiblePoints.add(new Point(center.x+i, center.y+j)) ;
  		}
  }
  
  public void addCrashPoint(PointFloat crashPoint) {
  	crashPoints.add(crashPoint) ;
  }
  
  public void clear() {
  	path.clear();
  	crashPoints.clear();
  }
}
