// Copyright (C) [2009] [Robin und Detlef Wolf]
// This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
// This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>.

import java.awt.Point;


public class PointDistance implements Comparable<PointDistance> {
  public int distance2 ;  // square of distance
  public Point point ;
  PointDistance(Point point, int distance2) {
    this.point = point ;
  	this.distance2 = distance2 ;
  }

	public int compareTo(PointDistance that) {
		if (this == that || this.distance2 == that.distance2)
			return 0 ;
		if (this.distance2 > that.distance2)
			return 1 ;
		return -1 ;
	}
	
	public String toString() {
		return "PointDistance[x="+point.x +" y="+point.y + " d2="+distance2+"]";
	}
}
